Traceur Compiler is an open source project. It is licensed using the
[Apache Software License 2.0](http://www.apache.org/licenses/LICENSE-2.0.html).
We appreciate pull requests, here are our guidelines:

1. File a bug at https://github.com/google/traceur-compiler/issues (if there
isn’t one already). If your patch is going to be large it might be a good idea
to get the discussion started early. You can always email
traceur-compiler-discuss@googlegroups.com to discuss future work.
1. Make sure that the bug references a strawman, an approved proposal or is in the
latest ES6 spec draft at http://wiki.ecmascript.org/. We will not accept
language feature patches that are not on the track for future versions of
JavaScript.
1. Due to legal reasons, all contributors must sign a contributor license
agreement, either for an
[individual](http://code.google.com/legal/individual-cla-v1.0.html) or
[corporation](http://code.google.com/legal/corporate-cla-v1.0.html), before a
patch can be accepted.
1. Add an entry to the `AUTHORS` file with your name and email.
2. Please use the google javascript style, http://google-styleguide.googlecode.com/svn/trunk/javascriptguide.xml
3. The file [`.editorconfig`](http://editorconfig.org) includes editor settings matching the source style.
1. We will squash all the commits together before pushing. The pull request
message body will be used as the commit message.

Committers will use 'pulley' created from the codereview-tweaks branch of https://github.com/arv/pulley
(Build by using git clone / git checkout codereview-tweaks / grunt / sudo npm install -g .) 
